
Pre-Development - Bug #19075

FE - React - Rerender the children after language changed

04 December 2023 04:53 PM - chok yee fan

Status: Feedback Start date: 04 December 2023

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

issue

-----

webservice data loaded is EN, after change language to MY. Label changed but data still EN.

Expected

-----

Data loaded is EN, change language to MY, data should change to MY as well.

Solution

-----

Try to refresh the children page when language been changed.

History

#1 - 12 December 2023 01:32 PM - Amirul Umar Pandai

- Status changed from New to Resolved

- Assignee changed from Amirul Umar Pandai to chok yee fan

- % Done changed from 0 to 50

Only org profile and user role pages implemented this fix, as a proof of concept. If this feature works as intended, I will apply it to the rest of the

pages.

- re-populate form on language change (#19075, organisation profile + user role page only)

- fix org profile view cancel behaviour (#19106)

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/966508fdc788fb2f6eef2cfaaed8b11f7a9a0854

#2 - 12 December 2023 02:13 PM - chok yee fan

- Status changed from Resolved to Assigned

- Assignee changed from chok yee fan to Amirul Umar Pandai

please apply it into organisation profile search as well, let see have any issue or not

#3 - 13 December 2023 02:38 PM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to chok yee fan

- % Done changed from 50 to 100

Applied change to remaining pages except for the following (did not contain call to searchForm/dataEntryForm ws):

- Business Constitution

- Country

- Message Template
- Security Policy

- User Profile ("System Info" tab)

re-retrieve data on language change

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/9bf44368cea83178f93b7422448490470a0ddd41

#4 - 18 January 2024 11:54 AM - chok yee fan

- Assignee changed from chok yee fan to Amirul Umar Pandai

please cross check for each modules

#5 - 23 January 2024 11:03 AM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to chok yee fan

Redesigned logic for running code on language change. Created custom hook to make applying to new pages easier

useEffectOnce + useLanguageChanged custom hook

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/f1d3d62434b13f80bab35926265f33721e10876f

#6 - 29 January 2024 12:15 PM - Tan Jiau Yan

- File Screenshot 2024-01-29 121451.png added

- Assignee changed from chok yee fan to Amirul Umar Pandai

Issue :

After change language, the title in data table no changed into the correct language. But, it changed when click the another module and click back to

ori module to call searchForm  and searchAction ws.

Expected :

After change language, the title in data table should be changed into the correct language.

#7 - 30 January 2024 04:59 PM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to chok yee fan

Bug #19075: trigger searchAction if search table still holds data

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/9150e83c876cfb144a5b0fe96025928066203926

20 April 2025 2/3

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/9bf44368cea83178f93b7422448490470a0ddd41
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/f1d3d62434b13f80bab35926265f33721e10876f
https://dev.silverlakemobility.com/redmine/issues/19075
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/9150e83c876cfb144a5b0fe96025928066203926


#8 - 07 February 2024 11:17 AM - chok yee fan

- File Screenshot 2024-02-07 at 11.16.18 AM.png added

- Assignee changed from chok yee fan to Amirul Umar Pandai

issue

-----

modify function -> change language -> record no change.

expected

-----

modify function -> change language -> record refresh.

#9 - 09 February 2024 04:31 PM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to Hazimi Muhammad

Bug #19075 - refresh viewAction on language change

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/388358935047a63ad5dcf4ff80313b0152cb5c2d

#10 - 09 February 2024 04:57 PM - Hazimi Muhammad

- Status changed from Assigned to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

Issue has been fixed.

Already test for this module when modify and change the language, the form will refresh.

business-constitution

country

mleb-function

mleb-system

organization-profile

user-category

user-profile

Click User Profile -> click Search button -> click data in table -> click modify -> modify the form -> click change language button -> the record had

been refresh.

Files

Screenshot 2024-01-29 121451.png 105 KB 29 January 2024 Tan Jiau Yan

Screenshot 2024-02-07 at 11.16.18 AM.png 630 KB 07 February 2024 chok yee fan
